#!/bin/sh

MSGFMT='msgfmt'
PREFIX='/var/www/www.wxwidgets.org'
CATALOGS_DIR="$PREFIX/tmp/locale"
STATUS_FILE="$PREFIX/content/about/__catstatus.php"

cd $CATALOGS_DIR
svn update > /dev/null 2>&1

echo '<?php $catstatus = array(' > $STATUS_FILE.tmp

for i in ${CATALOGS_DIR}/*.po ; do
    catname=`basename $i .po`
    if test "x$catname" != "xwxstd" ; then
      x=`$MSGFMT --verbose -o /dev/null $i 2>&1 | grep 'translated messages' | \
           sed -e 's/[,\.]//g' \
               -e 's/\([0-9]\+\) translated messages\?/TR=\1/' \
               -e 's/\([0-9]\+\) fuzzy translations\?/FZ=\1/' \
               -e 's/\([0-9]\+\) untranslated messages\?/UT=\1/'`
      TR=0 FZ=0 UT=0
      eval $x
      echo "\"$catname\" => array($TR, $FZ, $UT)," >> $STATUS_FILE.tmp
    fi
done

echo '); ?>' >> $STATUS_FILE.tmp

mv -f $STATUS_FILE.tmp $STATUS_FILE

